.container {
    position: relative;
    -moz-user-select: none; 
    -webkit-user-select: none; 
    -ms-user-select:none; 
    user-select:none;
    -o-user-select:none;
    background: linear-gradient(-5deg, #1A1A1A 0%, #2D2D2D 20%, #323232 100%);
    margin-bottom: 8px;
    box-shadow: 0px 0px 8px rgba(0,0,0,0.99);
    height:50px;
    overflow: visible;
}

.btn-action {
    position: relative;
    font-size: 22px;
    cursor: pointer;
    color:#6f6c6c;
    border:none;
    margin: 0px 4px;
    padding-bottom: 8px;
    background:linear-gradient(-5deg, #020202 0%, #1e1e1e 20%, #292929 100%);
    transition: .3s;
    width: 46px;
    height: 50px;
}

.btn-action:hover {
    background:linear-gradient(-5deg, #222222 0%, #3e3e3e 20%, #494949 100%);
    transform:scale(1.1,1.1);
    z-index: 100;
}

.btn-resize {
    position: absolute;right: 4px;top: 4px;
}

.btn-resize button {
    background: linear-gradient(-5deg, #020202 0%, #1e1e1e 20%, #292929 100%);
    border: 2px solid #222;
    color: #777;
    font-weight: bold;
    cursor: pointer;
}

.container-side-bar {
    position: absolute;
    top:0px;
    left:-65px;
    height: auto;
}

.container-side-bar .btn-action {
    display: block;
    margin:8px 4px;
}

.container-side-bar .btn-resize {
    position: absolute;left: 15px;bottom: -20px;top:unset;right: unset;
}



.light-healing {
    box-shadow: 0px 1px 2px rgba(4, 126, 146, 0.68);
    background-color: #00adff;
    color: #d4f1ff;
    padding: 2px;
}

.pentagram {
    box-shadow: 0px 1px 2px rgba(155, 4, 4, 0.68);
    background-color: #ff0000;
    color: #ffc3c3;
    padding: 2px;
}

.thunder {
    box-shadow: 0px 1px 2px rgba(4, 126, 146, 0.68);
    background-color: #008ddf;
    color: #d4f1ff;
    padding: 2px;
    min-width: 32px;
    display: inline-block;
    line-height: 28px;
}


.key {
    position: absolute;
    left: 15px;
    bottom: -2px;
    padding: 0px 4px;
    font-size: 11px;
    font-weight: bold;
    font-family: sans-serif;
    background-color: black;
    border-radius: 5px;
    transition: .3s;
}

.btn-action:hover .key {
    background-color: #333;
    color: white;
    transform:scale(1.2,1.2)
}

.tag-shift {
    position: absolute;
    left: -35px;
    top: 16px;
    background-color: yellow;
    padding: 0px 3px;
    border-radius: 4px;
    font-size: 13px;
    font-family: sans-serif;
    z-index: 200;
    font-weight: bold;
    color: #4a4a00;
}

.tag-alt {
    position: absolute;
    left: -35px;
    top: 16px;
    background-color: rgb(35, 174, 255);
    padding: 0px 9px;
    border-radius: 4px;
    font-size: 13px;
    font-family: sans-serif;
    z-index: 200;
    font-weight: bold;
    color: rgb(5, 56, 96);
}


.btn-action_tooltip {
    position: absolute;
    display: none;
    font-size: 14px;
    font-family: sans-serif;
    top: -35px;
    left: 0px;
    opacity: 0.9;
    background-color: #49004e;
    color: #de0036;
    padding: 8px;
    z-index: 500;
    font-weight: bold;
    border: 3px solid #5f004a88;
    white-space: nowrap;
    
}
.btn-action:hover .btn-action_tooltip {
    display: block;
}

.empty-slot {
    background-color: #333;
    color: #d4f1ff;
    padding: 2px;
    min-width: 32px;
    display: inline-block;
    line-height: 28px;
    border: inset 2px #666666;
    background:linear-gradient(-11deg, #1A1A1A 0%, #2D2D2D 80%, #323232 100%)
}